Skip to main content
GET
/
readings
/
definitions
Get Readings Definitions
curl --request GET \
  --url https://api.samsara.com/readings/definitions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "category": "smartTrailer",
      "description": "Engine Speed",
      "entityType": "sensor",
      "ingestionEnabled": true,
      "label": "engineRpm",
      "readingId": "12345",
      "type": "In vel.",
      "enumValues": [
        {
          "label": "Critically High",
          "symbol": "criticallyHigh"
        }
      ]
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

ids
string

A String of comma separated reading IDs. Include up to 50 readings IDs. If not set, all readings are returned.

entityTypes
string

A list of entity types to return readings for. (Examples: asset, sensor)

Response

OK response.

data
object[]
required

A list of reading definitions.

pagination
object
required

Pagination parameters.